<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddSelection Method (IEdmBatchItemGeneration)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchItemGeneration Interface : AddSelection Method (IEdmBatchItemGeneration)

Visual Basic
C#
C++/CLI

poVault
  IEdmVault5; vault in which to create the new items

ppoSelection
  Array of EdmSelItem structures, one structure for each file from which to generate an item

Obsolete. Superseded by IEdmBatchItemGeneration2::AddSelection2 .

# Syntax

Visual Basic |
--- | ---

    Sub AddSelection( _
       ByVal poVault As EdmVault5, _
       ByRef ppoSelection() As EdmSelItem _
    )

C# |
--- | ---

    void AddSelection(
       EdmVault5 poVault,
       ref EdmSelItem[] ppoSelection
    )

C++/CLI |
--- | ---

    void AddSelection(
    &   EdmVault5^ poVault,
    &   array<EdmSelItem>^% ppoSelection
    )

#### Parameters

poVault
  IEdmVault5; vault in which to create the new items
ppoSelection
  Array of EdmSelItem structures, one structure for each file from which to generate an item

# Example

See the example in the IEdmBatchItemGeneration topic.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchItemGeneration Interface
IEdmBatchItemGeneration Members

# Availability

SOLIDWORKS PDM Professional 2010